code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
wget https://waf.io/waf-1.8.16.tar.bz2
tar xvjf waf-1.8.16.tar.bz2
cd waf-1.8.16
python waf-light --make-waf --tool=swig
| dfroger/dfndarray | script/make-waf.sh | Shell | gpl-3.0 | 122 |
#! /bin/bash
# By Spransy, Derek" <DSPRANS () emory ! edu> and Charlie Scott
#####
# This checks for an error and exits with a custom message
# Returns zero on success
# $1 is the message
# $2 is the error code
if [[ ! -f "/usr/bin/dscl" ]]
then
echo "Error, I have no dscl, dying here";
exit
fi
DSCL="/usr/bin/... | srikanth-dabbiru/chips | src/init/osx105-addusers.sh | Shell | gpl-3.0 | 4,417 |
#/bin/bash
echo $1 `samtools view -H $1 | grep -o 'SM:\S\+' | sed 's/SM://'`
| TravisCG/SI_scripts | featext.sh | Shell | gpl-3.0 | 78 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 2/logs/w-11_2/20170125T233320+0000/00/00/init_0_ID0000001.sh | Shell | gpl-3.0 | 1,198 |
#!/bin/bash
##############################################################
if [ != "$HOME/bin/" ]; then
mkdir $HOME/bin/
$PATH=$PATH:/$HOME/bin/
export PATH
fi
echo "Installing thorin"
cp thorin.rbh $HOME/bin/thorin
chmod +x $HOME/bin/thorin
echo "Installation complete."
exit
| tazmandevil/thorin.rb | install.sh | Shell | gpl-3.0 | 285 |
#!/usr/bin/env bash
function fullpath ()
{
file="$1"
dirname=$(dirname "${file}")
fulldirname=$(cd "${dirname}"; pwd)
basename=$(basename "${file}")
echo "${fulldirname}/${basename}"
}
if [ -f "semiautocards.py" ] ; then
if [ -d "semiauto" ] ; then
ln -sf "$(fullpath semiautocards.py)" "${HOME}/.anki2/addons/... | cdepillabout/semiautocards | setup_for_devel.sh | Shell | gpl-3.0 | 410 |
# This script adds some useful paths to the PATH and can be used to
# customize other PATH related environment variables (e.g. LD_LIBRARY_PATH,
# etc) that may be needed for all users.
if [ -d /usr/local/lib/pkgconfig ] ; then
pathappend /usr/local/lib/pkgconfig PKG_CONFIG_PATH
fi
if [ -d /usr/local/bin ]; then... | fangxinmiao/projects | Architeture/OS/Linux/Distributions/LFS/build-scripts/blfs-7.6-systemv/b/bash-profile-7.6/scripts/etc/profile.d/extrapaths.sh | Shell | gpl-3.0 | 438 |
#!/bin/bash
test_description='Bash completion with different path functionality
This test checks that todo_completion can use a different path to todo.sh when
it is not accessible through PATH.
'
. ./test-lib.sh
cat > todo.txt <<EOF
(B) smell the +roses @outside @outdoor +shared
notice the sunflowers +sunflowers @ou... | todotxt/todo.txt-cli | tests/t6080-completion-path.sh | Shell | gpl-3.0 | 1,169 |
#!/bin/bash
BUILDDIR=build/harmattan
MADBIN=~/sw/opt/QtSDK/Madde/bin/mad
# MADOPT="-t harmattan-platform-api"
MADOPT="-t harmattan_10.2011.34-1"
cd $BUILDDIR
$MADBIN $MADOPT qmake && \
$MADBIN $MADOPT dpkg-buildpackage -nc -uc -us && \
echo "FINISHED:" $(date)
| hugopl/Heebossomo | build-harmattan.sh | Shell | gpl-3.0 | 262 |
#!/bin/bash
#####################################################################################################
#
# ABOUT THIS PROGRAM
#
# NAME
# AdobeReaderUpdate.sh -- Installs or updates Adobe Reader
#
# SYNOPSIS
# sudo AdobeReaderUpdate.sh
#
# EXIT CODES
# 0 - Adobe Reader DC installed successfully or is c... | stevemillermac/adobereaderupdate | AdobeReaderUpdate.sh | Shell | gpl-3.0 | 15,217 |
#!/bin/bash
sudo chmod +x ack
sudo chmod +x add
sudo chmod +x ag
sudo chmod +x artisan.sh
sudo chmod +x autoload
sudo chmod +x branch
sudo chmod +x branches
sudo chmod +x branchUpdate.sh
sudo chmod +x checkout
sudo chmod +x colorlist
sudo chmod +x Colors
sudo chmod +x commit
sudo chmod +x controller
sudo chmod +x corr... | zeusintuivo/laravel-intuivo-cli | fix_linux_permissions.sh | Shell | mpl-2.0 | 1,768 |
#!/bin/bash
set -e
echo "0.0.0.0 cozy.tools" >> /etc/hosts
couchdb 2> /dev/null 1> /dev/null &
MailHog 2> /dev/null 1> /dev/null &
if [ -f "/data/cozy-app/manifest.webapp" ]; then
appdir="/data/cozy-app"
else
show_warn=false
for i in /data/cozy-app/*; do
if [ ! -f "${i}/manifest.webapp" ]; then
show_warn=tru... | sebn/cozy-stack | scripts/docker-entrypoint.sh | Shell | agpl-3.0 | 732 |
#!/bin/sh
DIR=$( cd "$(dirname "$0")" ; pwd -P )
. $DIR/env.sh
python $SCRIPTDIR/stats.py
| dirtyfilthy/freshonions-torscraper | scripts/stats.sh | Shell | agpl-3.0 | 90 |
#!/bin/bash
sparql=$1
java -jar target/sparql-identifiers-1.2-SNAPSHOT-jar-with-dependencies.jar "$sparql"
| JervenBolleman/sparql-identifiers | sparql-identifiers.sh | Shell | agpl-3.0 | 107 |
#!/bin/bash
MANIFEST=%{UserPathPanelVariable}/bundles/com.openexchange.server/META-INF/MANIFEST.MF
if [ -f $MANIFEST ]
then
if ! grep -q 'com.openexchange.authentication.service,' $MANIFEST
then
if grep -q 'com.openexchange.authorization,' $MANIFEST
then
cp ${MANIFEST} ${MANIFEST}.prelatch
... | ElevenPaths/latch-plugin-open-xchange | src/installer/scripts/core/postinstall.sh | Shell | lgpl-2.1 | 604 |
#!/bin/bash
CS_DIR="/tmp/checkstyle-nightly"
#############################################
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
DATE=`date +%Y-%m-%d`
FILE="checkstyle-nightly-$DATE-all.jar"
#############################################
if [ ! -d $CS_DIR ]; then
mkdir $CS_DIR
fi
cd $CS_DIR
if ... | checkstyle/contribution | checkstyle-web-tester/download-nightly.sh | Shell | lgpl-2.1 | 922 |
#!/bin/sh
if [ ! -d "$WEBKIT_SOURCE_DIR" ]; then
echo "I don't know where WebKit source code is, please set WEBKIT_SOURCE_DIR environment variable."
exit 1
fi
FILES_TO_CHECK="src/*.h src/*.cpp tests/database/*.cpp"
"$WEBKIT_SOURCE_DIR"/Tools/Scripts/check-webkit-style --filter -build/include_order $FILES_TO_C... | adereis/snowshoe | check-style.sh | Shell | lgpl-2.1 | 325 |
#!/usr/bin/env bash
echo "**************************************************************************"
echo "* searching for last complete build"
echo "**************************************************************************"
wget -q -o /dev/null index.html http://hasky.askmonty.org/archive/10.6/
grep -o ">build-[0-... | MariaDB/mariadb-connector-odbc | .travis/build/build.sh | Shell | lgpl-2.1 | 1,435 |
#!/bin/sh
autoreconf --install --force --verbose && \
echo "If there are no error messages above, type:" && \
echo " ./configure && make"
| julznc/ppp-dialer | autogen.sh | Shell | lgpl-2.1 | 145 |
#!/usr/bin/env sh
# generated from catkin/cmake/template/setup.sh.in
# Sets various environment variables and sources additional environment hooks.
# It tries it's best to undo changes from a previously sourced setup file before.
# Supported command line options:
# --extend: skips the undoing of changes from a previou... | cpaxton/reflexxes_type2 | bin/devel/setup.sh | Shell | lgpl-3.0 | 2,564 |
#!/bin/bash
if [ -z "$RED5_HOME" ]; then export RED5_HOME=.; fi
# Previous option set
export JAVA_OPTS="-Xrs -Xms512M -Xmx1024M -Xss128K -XX:NewSize=256m -XX:SurvivorRatio=16 -XX:MinHeapFreeRatio=20 -XX:+AggressiveHeap -XX:+ExplicitGCInvokesConcurrent -XX:+UseConcMarkSweepGC -Dsun.rmi.dgc.client.gcInterval=990000 -Ds... | OpenCorrelate/red5load | mess/red5/red5-highperf.sh | Shell | lgpl-3.0 | 515 |
#!/bin/bash
DIR=`dirname $0`
OUT="$DIR/out"
mkdir -p "$OUT"
for txt_name in $(ls $DIR/*.txt); do
txt_basename=$(basename $txt_name .txt)
iconv -f utf-8 -t windows-1252 "$DIR"/$txt_basename.txt > "$OUT"/$txt_basename.windows-1252.txt
iconv -f utf-8 -t macintosh "$DIR"/$txt_basename.txt > "$OUT"/$txt_basename.mac... | adamhooper/quebec-municipal-elections-2013 | data/gen-csvs/transcode.sh | Shell | unlicense | 892 |
#sudo mount -t iso9660 /dev/sr0 /mnt/dvd/
HOSTNAME=`uname -n`
if test $HOSTNAME = "wormwood"; then
echo "Hi wormwood"
sudo mount -t udf,iso9660 \
-o uid=gsharp,gid=gsharp,dmode=0777 /dev/sr0 /mnt/dvd
else
echo "Sorry, you are not wormwood"
sudo mount -t udf,iso9660 \
-o uid=gcs6,gid=PosixUsers,dmode=0... | gregsharp/dotfiles | home/bin/mount_dvd.sh | Shell | unlicense | 346 |
#!/bin/bash
set -eo pipefail
cd $DIR
$DIR/bin/Agent.Listener run &
| Lambda3/docker-vsts-agent | agent/runAgent.sh | Shell | apache-2.0 | 69 |
#!/bin/bash
# -*- coding: utf-8 -*-
#
# Copyright 2020 Regents of the University of California
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-... | google/skywater-pdk | .github/kokoro/steps/auth.sh | Shell | apache-2.0 | 1,158 |
#!/bin/bash
# shellcheck disable=SC2128
RESP=$(curl -s -X PATCH "${CASSH_SERVER_URL}"/admin/"${GUEST_B_USERNAME}" -d "expiry=3d")
if [ "${RESP}" == "Error: No realname option given." ]; then
echo "[OK] Test set expiry without realname,password"
else
echo "[FAIL ${BASH_SOURCE}:+${LINENO}] Test set expiry withou... | nbeguier/cassh | tests/test_admin_set.sh | Shell | apache-2.0 | 2,726 |
add_lunch_combo turbo_z4-eng
| TurboOS/android_device_sony_z4 | vendorsetup.sh | Shell | apache-2.0 | 29 |
#!/usr/bin/env bash
# Cause the script to exit if a single command fails.
set -e
ROOT_DIR=$(cd "$(dirname "${BASH_SOURCE:-$0}")"; pwd)
echo "PYTHON is $PYTHON"
# If we are in Travis, most of the compilation result will be cached.
# This means we are I/O bounded. By default, Bazel set the number of concurrent
# jobs... | stephanie-wang/ray | ci/travis/install-ray.sh | Shell | apache-2.0 | 1,049 |
#!/bin/bash
#
# Copyright 2017 S4i Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or... | s4isystems/Bob | Client-tools/Push to i.sh | Shell | apache-2.0 | 2,620 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | sarat-k/kubernetes | hack/local-up-cluster.sh | Shell | apache-2.0 | 31,645 |
#!/bin/bash
# Copyright 2016 Port Direct
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to... | portdirect/harbor | docker/openstack/openstack-heat/common-assets/opt/harbor/heat/manage/manage-keystone-service.sh | Shell | apache-2.0 | 5,178 |
#!/bin/sh
RUBY=ruby
CC=$1
UNITY_DIR=tools/unity
if [ -z "$CC" ]; then
CC=cc
fi
cat<<EOF>/tmp/test$$.c
#include "unity.h"
void setUp (void) {}
void tearDown (void) {}
void test_Test1 (void) { TEST_ASSERT_EQUAL(0, 0); }
EOF
${RUBY} "${UNITY_DIR}/auto/generate_test_runner.rb" \
/tmp/test$$.c /tmp/test_runner$$.c ... | lagopus/lagopus | mk/unitycheck.sh | Shell | apache-2.0 | 591 |
#!/usr/bin/env bash
#
# Copyright 2019 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or ... | googleapis/google-cloud-cpp | ci/install-cloud-sdk.sh | Shell | apache-2.0 | 1,225 |
#!/usr/bin/env bash
# vim: fdm=marker
# Prepare CKIP lexicon
#***************************************************************************
# Copyright 2011-2015, cybeliak
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtai... | cybeliak/mispronounceableness | mpn_steps/prepare/prepare_ckip_lexicon.sh | Shell | apache-2.0 | 1,784 |
#!/usr/bin/env bash
# Neutron synchronization slave process to run on the Compute Nodes.
function error() {
echo "ERROR: $@"
exit 1
}
[ ! -z "$NEUTRON_DIR" ] || export NEUTRON_DIR=/var/snabbswitch/neutron
[ ! -z "$SNABB_DIR" ] || export SNABB_DIR=/var/snabbswitch/networks
[ ! -z "$TMP_DIR" ] ... | plajjan/snabbswitch | src/program/snabbnfv/neutron_sync_agent/neutron_sync_agent.sh | Shell | apache-2.0 | 2,135 |
#!/usr/bin/env bash
SCRIPT_DIR=$(cd $(dirname $0);echo $PWD)
cd ${SCRIPT_DIR}/..
ROOT_DIR=$(echo $PWD)
source ${ROOT_DIR}/script/env.sh
RELEASE_PATH=${ROOT_DIR}/distribution/indexr-${VERSION}
cd ${ROOT_DIR}
rm -rf ${RELEASE_PATH}/indexr-drill
mkdir -p ${RELEASE_PATH}/indexr-drill/jars/3rdparty
bash ${ROOT_DIR}/scrip... | shunfei/indexr | script/release_indexr-drill.sh | Shell | apache-2.0 | 2,032 |
source "../node/plan.sh"
pkg_name=node8
pkg_origin=core
pkg_version=8.11.3
pkg_description="Node.js® is a JavaScript runtime built on Chrome's V8 JavaScript engine."
pkg_license=('MIT')
pkg_upstream_url=https://nodejs.org/
pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>"
pkg_source=https://nodejs.org/dist/... | be-plans/be | node8/plan.sh | Shell | apache-2.0 | 628 |
#!/bin/bash
# download khronus
[ -f "khronus-0.2.tgz" ] && echo "Khronus exists, nothing to do" || wget "https://github.com/Searchlight/khronus/releases/download/v0.2.0/khronus-0.2.tgz"
./stop.sh
docker build -t searchlight/khronus-slim .
# start cassandra container
docker run --name khronus-cassandra -d cassandra... | Searchlight/khronus-docker | run.sh | Shell | apache-2.0 | 577 |
#!/bin/bash
#
# Copyright (C) 2014 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law... | multi-os-engine/moe-core | moe.apple/tools/cpplint_android_sources.sh | Shell | apache-2.0 | 916 |
#!/bin/sh
if [ "$#" -ne 5 ]; then
echo "run as ./benchmark-ms-numobj.sh STARTN ENDN DN Q SAMPLES"
exit;
fi
E=4
STARTN=$1
ENDN=$2
DN=$3
Q=$4
SAMPLES=$5
Rx=800
Ry=600
C=0
METHODS=("dummy" "BBox" "Avril" "Lambda (Newton)" "Lambda (Default)" "Flatrec" "Lambda (Inverse)" "Rectangle" "Recursive")
NM=8
for N in `seq $... | cvargas22/Path-Tracer-OpenGL | benchmark-ms-numobj.sh | Shell | apache-2.0 | 1,483 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | bprashanth/kubernetes | cluster/kubectl.sh | Shell | apache-2.0 | 3,821 |
python finetune_classifier.py --task_name SST --epochs 4 --batch_size 16 --gpu 0 --lr 2e-5 --log_interval 500
| dmlc/web-data | gluonnlp/logs/bert/finetuned_sst.sh | Shell | apache-2.0 | 110 |
#!/bin/bash
docker run -p 5432:5432 -v "$PWD/schema/psql:/docker-entrypoint-initdb.d/" -e POSTGRES_USER=postgres -d postgres:9.6
| dougEfresh/passwd-pot | start-docker-postgres.sh | Shell | apache-2.0 | 131 |
#!/bin/bash
# Copyright 2016 Port Direct
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to... | portdirect/harbor | docker/openstack/openstack-ceilometer/common-assets/opt/harbor/ceilometer/manage/manage-keystone-user.sh | Shell | apache-2.0 | 4,116 |
#!/bin/bash
stage=0
train_stage=-100
# This trains only unadapted (just cepstral mean normalized) features,
# and uses various combinations of VTLN warping factor and time-warping
# factor to artificially expand the amount of data.
. cmd.sh
. utils/parse_options.sh # to parse the --stage option, if given
[ $# != ... | AlexHung780312/aurora4_egs | s5/local/nnet2/run_5b.sh | Shell | apache-2.0 | 2,345 |
#!/usr/bin/env bash
# Decrypt secret files that are checked in to Git using a passphrase provided as
# an environment variable. Can be used locally or from Continuous Deployment.
# If any one command fails, immediately exit.
# Treat unset variables as an error, and immediately exit.
# Write each command to stdout befo... | google/evergreen-checker | decrypt-secrets.sh | Shell | apache-2.0 | 687 |
#!/usr/bin/env zsh
# @Author: Patrick Bos
# @Date: 2016-11-16 16:54:41
# @Last Modified by: E. G. Patrick Bos
# @Last Modified time: 2017-06-01 17:00:03
# unbinned_scaling2_c_cpu_affinity run with Release ROOT showed improvement
# in overall timings, but the multi-core anomalous overhead now became even more
# app... | roofit-dev/parallel-roofit-scripts | profiling/numIntSet_timing/config_unbinned_scaling2_j_scaling_overhead_timing_removed.sh | Shell | apache-2.0 | 2,782 |
#!/bin/bash
if [[ $TRAVIS_PULL_REQUEST == "false" ]]; then
mvn deploy jacoco:report coveralls:report --settings $GPG_DIR/settings.xml -DperformRelease=true -DskipTests=true -B
exit $?
fi | loganathan001/AsyncHelper | deploy/publish.sh | Shell | apache-2.0 | 195 |
# Script to setup new pi disc image with HappyBrackets and appropriate details
# run from pi, with an internet connection
# we must download and unzip HappyBrackets before we go into our sudo script so files will be unzipped to correct path
cd
# get the happybrackets zipped project folder
# get latest filename
FILEN... | orsjb/HappyBrackets | DeviceSetup/setup-pi-image.sh | Shell | apache-2.0 | 4,924 |
# ----------------------------------------------------------------------------
#
# Package : loopback-component-storage
# Version : 3.2.0
# Source repo : https://github.com/strongloop/loopback-component-storage.git
# Tested on : ubuntu_16.04
# Script License: Apache License, Version 2 or later
# Maintainer : Atul Sowan... | ppc64le/build-scripts | l/loopback-component-storage/loopback-component-storage_ubuntu_16.04.sh | Shell | apache-2.0 | 1,169 |
1. 检查文件修改时间距离现在多长时间
echo $((`date "+%s"` - `stat -c '%Y' the_file`))
| phpor/shell | smalltool.sh | Shell | apache-2.0 | 103 |
#!/bin/bash
# check input arguments
if [ "$#" -ne 1 ]; then
echo "Please specify cluster name!" && exit 1
fi
PEG_ROOT=$(dirname ${BASH_SOURCE})/../..
source ${PEG_ROOT}/util.sh
source ${PEG_ROOT}/colors.sh
CLUSTER_NAME=$1
MASTER_PUBLIC_DNS=$(fetch_public_dns_of_node_in_cluster ${CLUSTER_NAME} 1)
TECHNOLOGY="kiba... | InsightDataScience/pegasus | install/kibana/install_kibana_cluster.sh | Shell | apache-2.0 | 1,238 |
target="*trace"
for f in $target;
do
dest=$(basename $f .ll.trace)-driver.c
rm -vf $dest
echo '#include "../benchmarks/string.c"' >> $dest
cat $f | ../driver-gen/./main.py >> $dest;
cc $dest -o $(basename $dest .c).out
done;
| IvanYakimov/huntl | build/driver-gen.sh | Shell | apache-2.0 | 245 |
#! /bin/bash
set -eou pipefail
#usage: sudo ./docker-cleanup-volumes.sh [--dry-run]
docker_bin=$(which docker.io 2> /dev/null || which docker 2> /dev/null)
# Default dir
dockerdir=/var/lib/docker
# Look for an alternate docker directory with -g option
dockerPs=`ps aux | grep $docker_bin | grep -v grep` || :
if [[ ... | hostettler/JEE7-Demo | docker-config/docker-cleanup-volumes.sh | Shell | apache-2.0 | 4,650 |
#!/bin/sh
RESOURCE_GROUP=$1
REGION=${2-'westus'}
az group create --name $RESOURCE_GROUP --location $REGION --output table
az group deployment create --verbose --template-file mainTemplate.json --parameters @mainTemplateParameters.json --resource-group $RESOURCE_GROUP --output table | couchbase-partners/azure-resource-manager-couchbase | simple/deploy.sh | Shell | apache-2.0 | 283 |
OUTDIR=`pwd`/universal
OD_DEVICE=`pwd`/iphoneos
OD_SIMULATOR=`pwd`/iphonesimulator
LOGDIR="$OUTDIR"/log
BUILDDIR="$OUTDIR"/build
SCHEMENAME="AppNexusSDK"
rm -fr "$OUTDIR" > /dev/null 2>&1
rm -fr "$OD_DEVICE" > /dev/null 2>&1
rm -fr "$OD_SIMULATOR" > /dev/null 2>&1
BITCODEFLAG="-fembed-bitcode"
echo "Bitcode enabled"
... | appnexus/mobile-sdk-ios | script/buildAppNexusSDK.sh | Shell | apache-2.0 | 2,306 |
#!/bin/sh
usage="Usage: $0 [psql_options] ..."
cd `dirname $0`
psql -f create_vocabulary_plus.sql $*
psql -f tune_vocabulary_plus.sql $*
psql -f import_vocabulary_plus.sql $*
psql -f create_valueset_tables.sql $*
psql -f import_value_sets.sql $*
psql -f add_to_omop_vocabulary.sql $*
psql -f create_valueset_omop_mappi... | pSCANNER/USC-source-code | hqmf2sql/omop_etl/create-vocab-and-value-sets.sh | Shell | apache-2.0 | 363 |
# Copyright 2019 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, ... | mlperf/training_results_v0.7 | Intel/benchmarks/minigo/8-nodes-32s-cpx-tensorflow/ml_perf/scripts/train.sh | Shell | apache-2.0 | 3,168 |
# -----------------------------------------------------------------------------
#
# Package : lodash
# Version : 4.17.21
# Source repo : https://github.com/lodash/lodash
# Tested on : RHEL 8.3
# Script License: Apache License, Version 2 or later
# Maintainer : BulkPackageSearch Automation <sethp@us.ibm.com>
#
# Disclai... | ppc64le/build-scripts | l/lodash/lodash_rhel_8.3.sh | Shell | apache-2.0 | 3,044 |
#!/bin/bash
set -euxo pipefail
rm -f ../shim/*.c
rm -f ../wrap-*.c
rm -rf c-libedit
git add -u ..
rm -rf libbsd[-_]* libedit[-_]* build
apt-get source libbsd0
apt-get source libedit
mkdir build
(cd build \
&& export ac_cv_func_secure_getenv=no \
&& export ac_cv_func___secure_getenv=no \
&& export ac_... | knz/go-libedit | unix/src/refresh.sh | Shell | apache-2.0 | 1,369 |
#/bin/bash
# This file is sourced by blahp before submitting the job to condor
# Anything printed to stdout is included in the submit file.
# For example, to set a default walltime of 24 hours in PBS, you
# could uncomment this line:
# echo "#PBS -l walltime=24:00:00"
# blahp allows arbitrary attributes to be passed... | htcondor/htcondor | src/blahp/src/scripts/condor_local_submit_attributes.sh | Shell | apache-2.0 | 889 |
#!/bin/bash
jen_date=$(date +%d/%m/%Y-%H:%M)
export IS_DEBUG_JOB
set +e
/usr/local/src/neutron-ci/jobs/run_initialize.sh 2>&1
result_init=$?
echo "$ZUUL_PROJECT;$ZUUL_BRANCH;$jen_date;$ZUUL_CHANGE;$ZUUL_PATCHSET;init;$result_init" >> /home/jenkins-slave/neutron-statistics.log
echo "Init job finished with exit code $res... | costingalan/neutron-ci | jobs/run_job.sh | Shell | apache-2.0 | 1,133 |
#!/bin/bash
# tune homebrew
brew analytics off
brew doctor
brew tap caskroom/cask
brew tap homebrew/versions
brew tap caskroom/versions
| lsimons/lsd-mac-setup | 02-brew-config.sh | Shell | bsd-2-clause | 139 |
#!/usr/bin/env bash
_checkenvvar() {
if [[ ! -n "${HS_PROJ_HOME}" ]]; then
echo "Please set your haskell project directory home HS_PROJ_HOME environment."
fi
}
_checkenvexists() {
local res="$(lscabalenv)"
echo "Checking if $1 is already present"
string=$(find $HS_PROJ_HOME -name .cabal-sandbox 2>/dev/null |... | calvinchengx/cabalenv | cabalenv.sh | Shell | bsd-2-clause | 3,187 |
#!/bin/sh
#
# Simple quick build, modify to meet your needs.
#
INCLUDE_PATH=${PWD}/build/include
LIB_PATH=${PWD}/build/lib
cd src
make
mkdir -p $INCLUDE_PATH
mkdir -p $LIB_PATH
cp libhl++.a $LIB_PATH
cp *.h $INCLUDE_PATH
cd ../
echo Done
| aksalj/hashlibpp | build.sh | Shell | bsd-2-clause | 246 |
#!/bin/sh
cd ~/.yubo
git pull
| yubo/home | home/bin/git_pull.sh | Shell | bsd-3-clause | 31 |
diff fasta-output.txt fasta-output-N1000.txt | bakkdoor/fancy | tools/benchmarks/fasta-check.sh | Shell | bsd-3-clause | 44 |
#!/bin/sh
gpic shift_month.pic | groff | ps2eps --loose --gsbbox > shift_month.eps
eps2png --pnggray -resolution 144 shift_month.eps
gpic shift_month_cumsum.pic | groff | ps2eps --loose --gsbbox > shift_month_cumsum.eps
eps2png --png16m -resolution 144 shift_month_cumsum.eps
mpost linear_regression.mp
ps2eps --loose... | chenshuo/recipes | datetime/build.sh | Shell | bsd-3-clause | 732 |
bench_home="/home/yohan/miBench"
case "$2" in
hello )
bench="helloWorld/hello_$1"
options=""
;;
matmul )
bench="matrixmul/matmul_$1"
options=""
;;
qsort )
bench="automotive/qsort/qsort_small_$1"
options="$bench_home/automotive/qsort/input_small.dat"
;;
stringsearch )
bench="office/stringsearch/sear... | BellScurry/gem5-fault-injection | inject.sh | Shell | bsd-3-clause | 2,639 |
#!/bin/bash
# Update system to allow further installations
sudo apt-get update
# Install dependencies for go-gl/glew3
sudo apt-get install xorg-dev
sudo apt-get install libglew-dev
sudo apt-get install libglfw-dev
# Install dependencies for gvm
sudo apt-get install curl git mercurial make binutils bison gcc build-es... | dertseha/golgo | build-drone.sh | Shell | bsd-3-clause | 1,791 |
#!/bin/bash
#;**********************************************************************;
#
# Copyright (c) 2016-2018, Intel Corporation
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistri... | martinezjavier/tpm2-tools | test/integration/tests/makecredential.sh | Shell | bsd-3-clause | 2,975 |
#!/bin/bash
#===============================================================================
#
# This script is for the Math library maintainers to use upgrade Boost.
# To update to a new Boost version, download the boost_<version>.tar.gz to
# the lib/ directory.
# https://www.boost.org/users/download/
# This script ... | stan-dev/math | lib/upgrade-boost.sh | Shell | bsd-3-clause | 4,461 |
#!/bin/bash
# get name of the environment by current folder
env_name=${PWD##*/}
# try to activate environment
source activate $env_name > /dev/null 2>&1
# get return code of activation
OUT=$?
# create environment if it does not exist or create is supplied
# this install packages as well
if [[ ($OUT -eq 1) || ($1 =... | RoyalTS/econ-project-templates | set-env.sh | Shell | bsd-3-clause | 1,918 |
#!/bin/bash
# author: Liang Gong
if [ "$(uname)" == "Darwin" ]; then
# under Mac OS X platform
NODE='node'
elif [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then
# under GNU/Linux platform
NODE='nodejs'
fi
cd directory-traversal/cxy
RED='\033[0;31m'
BLUE='\033[0;34m'
GREEN='\033[0;32m'
NC=... | JacksonGL/NPM-Vuln-PoC | directory-traversal/cxy/PoC.sh | Shell | bsd-3-clause | 848 |
# Rename all filenames in $PWD with "TXT" suffix to a "txt" suffix.
# For example, "file1.TXT" becomes "file1.txt" . . .
SUFF=TXT
suff=txt
for i in $(ls *.$SUFF)
do
mv -f $i ${i%.$SUFF}.$suff
# Leave unchanged everything *except* the shortest pattern match
#+ starting from the right-hand-side of the variable $... | yimng/LEARN | abs/renametxt.sh | Shell | mit | 393 |
#!/bin/bash
setreportpref "munkireport" '/Library/Managed Installs/ManagedInstallReport.plist'
| matt-cahill/munkireport-php | app/modules/munkireport/scripts/install.sh | Shell | mit | 96 |
#!/bin/bash
set -e
if [ -z "$LUA" ];
then
echo "Installing deps"
lit install luvit/pretty-print
LUA=luvit-2 $0
LUA=luajit-2.0 $0
LUA=luajit-2.1 $0
# LUA=lua-5.1 $0
# LUA=lua-5.2 $0
# LUA=lua-5.3 $0 # There is no bitop library for lua5.3
else
echo "Testing on $LUA"
source .travis/setenv.sh
echo "R... | super-agent/msgpack | test.sh | Shell | mit | 448 |
#!/bin/bash
FN="hguatlas13k.db_3.2.3.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.11/data/annotation/src/contrib/hguatlas13k.db_3.2.3.tar.gz"
"https://bioarchive.galaxyproject.org/hguatlas13k.db_3.2.3.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-hguatlas13k.db/bioconductor-hguatlas13k.db_... | roryk/recipes | recipes/bioconductor-hguatlas13k.db/post-link.sh | Shell | mit | 1,440 |
#!/usr/bin/env bash
# Base16 Atelier Heath - Gnome Terminal color scheme install script
# Bram de Haan (http://atelierbram.github.io/syntax-highlighting/atelier-schemes/heath)
[[ -z "$PROFILE_NAME" ]] && PROFILE_NAME="Base 16 Atelier Heath Dark"
[[ -z "$PROFILE_SLUG" ]] && PROFILE_SLUG="base-16-atelierheath-dark"
[[ -... | atelierbram/syntax-highlighting | docs/atelier-schemes/output/gnome-terminal/base16-atelierheath.dark.sh | Shell | mit | 3,809 |
#!/bin/sh
#
# Copyright (c) 2015 Jeromy Johnson
# MIT Licensed; see the LICENSE file in this repository.
#
test_description="Test multiple ipfs nodes"
. lib/test-lib.sh
check_file_fetch() {
node=$1
fhash=$2
fname=$3
test_expect_success "can fetch file" '
ipfsi $node cat $fhash > fetch_out
'
test_expect_suc... | JustinDrake/go-ipfs | test/sharness/t0130-multinode.sh | Shell | mit | 1,811 |
#!/bin/bash
#
# DEPPRECATED use the ruby script instead
#
# A script to get or set the provisioning profile UUID from a XCode .pbxproj files given its configuration name
#
d=`dirname $0`
dir=`cd $d && pwd`
plutil -convert json $1
if [ "$3" == "get" ]; then
$dir/pbxproj_pp_uuid.rb "$1" -p "$2" -g
elif [ "$3" == "set" ]... | andyvand/apple-dev | xcode/pbxproj_pp_uuid.sh | Shell | mit | 430 |
#!/bin/sh
. ../scripts/envsetup.sh
$RUN_DEBUG$BIN_HOME/dmzAppQt -f config/audio.xml config/resource.xml config/runtime.xml config/common.xml config/js.xml config/input.xml config/net.xml config/render.xml $*
| shillcock/cycles | test.sh | Shell | mit | 211 |
#!/bin/bash
"$(dirname "$0")/cmd.sh" manage/upgrade-deps.sh
| CasualGaming/studlan | manage/docker-tiny/upgrade-deps.sh | Shell | mit | 61 |
#!/bin/bash
mv DESCRIPTION DESCRIPTION.old
grep -v '^Priority: ' DESCRIPTION.old > DESCRIPTION
mkdir -p ~/.R
echo -e "CC=$CC
FC=$FC
CXX=$CXX
CXX98=$CXX
CXX11=$CXX
CXX14=$CXX" > ~/.R/Makevars
touch CoGAPS
$R CMD INSTALL --build .
| jerowe/bioconda-recipes | recipes/bioconductor-cogaps/build.sh | Shell | mit | 229 |
# -*-sh-*-
RULESDIR=${PTXDIST_TOPDIR}/rules
TEMPLATESDIR=${PTXDIST_TOPDIR}/rules/templates
SCRIPTSDIR=${PTXDIST_TOPDIR}/scripts
PTXDIST_LIB_DIR=${SCRIPTSDIR}/lib
PTX_MIGRATEDIR=${SCRIPTSDIR}/migrate
# created dirs during build
BUILDDIR=${PTXDIST_PLATFORMDIR}/build-target
KLIBC_BUILDDIR=${PTXDIST_PLATFORMDIR}/build-kli... | Schischu/ptxdist_sh | scripts/ptxdist_vars.sh | Shell | gpl-2.0 | 1,069 |
#!/bin/bash
R=`printf '%x' $1`
G=`printf '%x' $2`
B=`printf '%x' $3`
RAZER_BLACKWIDOW_CHROMA_DEVICES=`ls /sys/bus/hid/devices/ | grep "1532:0203"`
for DEV in $RAZER_BLACKWIDOW_CHROMA_DEVICES
do
if [ -d "/sys/bus/hid/devices/$DEV/input" ]; then
INPUT_DEVS=`ls /sys/bus/hid/devices/$DEV/input`
for INPUT_DEV in $IN... | jamesshawver1/razer_blackwidow_chroma_driver | scripts/driver/set_reactive.sh | Shell | gpl-2.0 | 784 |
#!/bin/bash
(( $# )) || { echo "Usage: $0 DB_PLUGIN_*"; exit 1; }
type=$1
plugins_list=(
$( ag --files-with-matches ${type^^} plugins | grep -Po '(?<=plugins/)[^/]+' | sort )
)
for p in "${plugins_list[@]}" ; do
awk -v p=$p '
BEGIN{
printf "%s - ",p
}
function format_line() {
ok = match($0, /^[^=]+=... | rindeal/gentoo-overlay | media-sound/deadbeef/tools/do.sh | Shell | gpl-2.0 | 672 |
#!/usr/bin/env bash
sudo mysql-ctl stop
sudo service postgresql start | gunmetal313/MangaRanobeStorageApp | helper_scripts/cloud9/stop_mysql_start_posgrel.sh | Shell | gpl-3.0 | 69 |
#!/sbin/sh
# /system/addon.d/24-dax.sh
. /tmp/backuptool.functions
CONFIG_FILE=/system/etc/audio_effects.conf
VENDOR_CONFIG=/system/vendor/etc/audio_effects.conf
OTHER_VENDOR_FILE=/system/etc/audio_effects_vendor.conf
OFFLOAD_CONFIG=/system/etc/audio_effects_offload.conf
list_files() {
cat <<EOF
addon.d/24-dax.sh
p... | borovets/Android-update-script | system/addon.d/24-dax.sh | Shell | gpl-3.0 | 3,973 |
#!/bin/bash
#PBS -l walltime=4:00:00
#PBS -l nodes=1:ppn=2
#PBS -l vmem=32G
#PBS -N WAF_8_1_2_375_100_0_0_no_no
cd /zhome/fc/e/102910/maritime-vrp/build
LD_LIBRARY_PATH=/zhome/fc/e/102910/gcc/lib64 ./maritime_vrp ../data/old_thesis_data/program_params.json ../data/new/WAF_8_1_2_375_100_0_0_no_no.json
| OR-Bologna/maritime-vrp | opt/launchers/WAF_8_1_2_375_100_0_0_no_no.sh | Shell | gpl-3.0 | 302 |
#!/bin/sh
# cause a 1-byte heap buffer overrun
# Copyright (C) 2010-2017 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (a... | adtools/coreutils | tests/misc/csplit-1000.sh | Shell | gpl-3.0 | 1,084 |
#!/bin/bash
source 00.sh
# Setup #############################
SETUP_WITH_OUTPUT_DIR $1 $2
#####################################
INFO "Setting up the pan analysis directory"
mkdir $output_dir/workflow_test
cp $files/mock_data_for_pangenomics/*.fa $output_dir/workflow_test/
cp $files/workflows/contigs/* $output_dir/wo... | meren/anvio | anvio/tests/run_workflow_tests_for_contigs.sh | Shell | gpl-3.0 | 1,058 |
./topiary.sh test nodbg
| eccles/topiary | data/check-topiary.sh | Shell | lgpl-2.1 | 24 |
#!/usr/bin/env bash
repo_dir=$(git rev-parse --show-toplevel)
. "${repo_dir}/bin/functions"
results_dir="${repo_dir}/tests/vagrant/$(date +%Y%m%d-%H%M%S)"
mkdir -p $results_dir/failure
mkdir -p $results_dir/success
testing_branch=$(git name-rev --name-only HEAD)
current_branch='production'
global_exit=0
node=$1
env=$... | example42/psick | bin/vagrant_node_test.sh | Shell | apache-2.0 | 1,547 |
#!/bin/bash
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License");... | michaelhkw/incubator-impala | testdata/bin/minikdc.sh | Shell | apache-2.0 | 5,331 |
#!/bin/bash
luma=8
spatial=16
cm=1
CUDA_VISIBLE_DEVICES=$1 python hdrnet/bin/train.py \
--learning_rate 1e-4 \
--batch_size 1 \
--model_name HDRNetGaussianPyrNN \
--nobatch_norm \
--output_resolution 2048 2048 \
--luma_bins $luma \
--spatial_bin $spatial \
... | mrluker/hdrnet | scripts/ll/train_gpyrnn.sh | Shell | apache-2.0 | 578 |
#!/bin/bash -e
# Set working dir
DIR="$( cd "$( dirname "$0" )" && pwd )"
# Dpkg dev
sudo apt-get install dpkg-dev
# Cleanup from possibly failed installations
rm -fr ~/uvc_patch
mkdir -p ~/uvc_patch
cd ~/uvc_patch
# Get the Linux sources and headers for this kernel version
apt-get source linux-image-$(uname -r)
su... | floe/librealsense | scripts/patch-uvcvideo-ubuntu-mainline.sh | Shell | apache-2.0 | 1,094 |
#!/bin/bash
SCALARIS_VERSION="0.9.0+git"
date=`date +"%Y%m%d.%H%M"`
name="scalaris" # folder base name (without version)
pkg_name="scalaris-bindings" # package name
url="https://github.com/scalaris-team/scalaris.git"
deletefolder=0 # set to 1 to delete the folder the repository is checked out to
#####
if [[ "$SCALARI... | scalaris-team/scalaris | contrib/packages/bindings/checkout.sh | Shell | apache-2.0 | 4,065 |
#!/bin/bash
#
# Copyright 2016 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed ... | hashashin/src | pagespeed/automatic/system_tests/make_show_ads_async.sh | Shell | apache-2.0 | 924 |
#!/usr/bin/env bash
# Copyright 2016 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless ... | sparkprime/helm | scripts/validate-go.sh | Shell | apache-2.0 | 1,473 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.